engine.h File Reference

Provides global routines for interfacing with the Regina calculation engine. More...

`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

const char * | regina::versionString ()
| Returns the full version number of this calculation engine. More...
int | regina::versionMajor ()
| Returns the major version number of this calculation engine. More...
int | regina::versionMinor ()
| Returns the minor version number of this calculation engine. More...
bool | regina::versionUsesUTF8 (const char *version)
| Did the given version of Regina consistently use UTF-8 in its data files? More...
const char * | regina::versionSnapPy ()
| Returns the version of SnapPy whose underlying SnapPea kernel is built into Regina. More...
const char * | regina::versionSnapPea ()
| An alias for versionSnapPy(), which returns the version of SnapPy whose underlying SnapPea kernel is built into Regina. More...
bool | regina::hasInt128 ()
| Does this particular build of Regina support native 128-bit arithmetic? More...
int | regina::testEngine (int value)
| Tests to see if an interface can successfully communicate with the underlying C++ calculation engine. More...

## Detailed Description

Provides global routines for interfacing with the Regina calculation engine.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).